openapi: 3.0.3
info:
  title: 'Notary API documentation'
  description: ''
  version: 1.0.0
servers:
  -
    url: 'https://api.notariusze.org.pl'
paths:
  /oauth/token/refresh:
    post:
      summary: 'Get a fresh transient token cookie for the authenticated user.'
      operationId: getAFreshTransientTokenCookieForTheAuthenticatedUser
      description: ''
      parameters: []
      responses: {  }
      tags:
        - 'Auth Endpoints'
      security: []
  /oauth/token:
    post:
      summary: "Authorize a client to access the user's account or allows to get an access token via Client Credentials Grant Flow."
      operationId: authorizeAClientToAccessTheUsersAccountOrAllowsToGetAnAccessTokenViaClientCredentialsGrantFlow
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  token_type: Bearer
                  expires_in: 1296000
                  access_token: eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...
                properties:
                  token_type:
                    type: string
                    example: Bearer
                  expires_in:
                    type: integer
                    example: 1296000
                  access_token:
                    type: string
                    example: eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...
      tags:
        - 'Auth Endpoints'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                grant_type:
                  type: string
                  description: ''
                  example: client_credentials
                  nullable: false
                  enum:
                    - client_credentials
                    - password
              required:
                - grant_type
      security: []
  /deputies:
    get:
      summary: 'Get all deputies'
      operationId: getAllDeputies
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1001
                      name: Katarzyna
                      second_name: Anna
                      surname: Kowalska
                      role:
                        id: 24780
                        from_date: '2019-11-20'
                        to_date: null
                        statuses:
                          -
                            status_id: 25
                            name: Aktywny
                            resolution_date: null
                      emails:
                        -
                          id: 1052
                          email: katarzyna.kowalska@test.pl
                          is_sending: 1
                      employments:
                        -
                          id: 1127
                          from_date: '2024-01-01'
                          to_date: null
                          notary_office_id: 1
                          contract_type: 1/2
                          contract_form: 'Umowa o pracę'
                      photo:
                        id: 1201
                        photo_url: '[SON_URL]/user/zdjecie/pokaz/dab2485f6e37b00a303775a93ef67cca899fced7'
                        filename: istockphoto-124-612x612
                        ext: jpg
                        mime_type: image/jpeg
                      updated_at: '2024-01-01T00:00:00.000000Z'
                    -
                      id: 502
                      name: Katarzyna
                      second_name: ''
                      surname: Kowalska2
                      emails:
                        -
                          id: 2190
                          email: katarzyna.kowalska2@test.pl
                          is_sending: 1
                      employments: []
                      photo: null
                      updated_at: null
                    -
                      id: 503
                      name: Katarzyna
                      second_name: ''
                      surname: Kowalska3
                      role:
                        id: 24176
                        from_date: '2019-08-26'
                        to_date: null
                        statuses:
                          -
                            status_id: 27
                            name: Nieaktywny
                            resolution_date: null
                      emails:
                        -
                          id: 1054
                          email: katarzyna.kowalska2@test.pl
                          is_sending: 1
                      employments:
                        -
                          id: 116
                          from_date: '2017-11-09'
                          to_date: null
                          notary_office_id: 485
                          contract_type: null
                          contract_form: 'Umowa o pracę'
                      photo: null
                      updated_at: null
                  links:
                    first: 'https://api.notariusze.org.pl/deputies?page=1'
                    last: 'https://api.notariusze.org.pl/deputies?page=226'
                    prev: null
                    next: 'https://api.notariusze.org.pl/deputies?page=2'
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 226
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=1'
                        label: '1'
                        active: true
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=2'
                        label: '2'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=3'
                        label: '3'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=4'
                        label: '4'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=5'
                        label: '5'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=6'
                        label: '6'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=7'
                        label: '7'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=8'
                        label: '8'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=9'
                        label: '9'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=10'
                        label: '10'
                        active: false
                      -
                        url: null
                        label: ...
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=95'
                        label: '95'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=96'
                        label: '96'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/deputies?page=2'
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://api.notariusze.org.pl/deputies'
                    per_page: 3
                    to: 3
                    total: 287
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1001
                        name: Katarzyna
                        second_name: Anna
                        surname: Kowalska
                        role:
                          id: 24780
                          from_date: '2019-11-20'
                          to_date: null
                          statuses:
                            -
                              status_id: 25
                              name: Aktywny
                              resolution_date: null
                        emails:
                          -
                            id: 1052
                            email: katarzyna.kowalska@test.pl
                            is_sending: 1
                        employments:
                          -
                            id: 1127
                            from_date: '2024-01-01'
                            to_date: null
                            notary_office_id: 1
                            contract_type: 1/2
                            contract_form: 'Umowa o pracę'
                        photo:
                          id: 1201
                          photo_url: '[SON_URL]/user/zdjecie/pokaz/dab2485f6e37b00a303775a93ef67cca899fced7'
                          filename: istockphoto-124-612x612
                          ext: jpg
                          mime_type: image/jpeg
                        updated_at: '2024-01-01T00:00:00.000000Z'
                      -
                        id: 502
                        name: Katarzyna
                        second_name: ''
                        surname: Kowalska2
                        emails:
                          -
                            id: 2190
                            email: katarzyna.kowalska2@test.pl
                            is_sending: 1
                        employments: []
                        photo: null
                        updated_at: null
                      -
                        id: 503
                        name: Katarzyna
                        second_name: ''
                        surname: Kowalska3
                        role:
                          id: 24176
                          from_date: '2019-08-26'
                          to_date: null
                          statuses:
                            -
                              status_id: 27
                              name: Nieaktywny
                              resolution_date: null
                        emails:
                          -
                            id: 1054
                            email: katarzyna.kowalska2@test.pl
                            is_sending: 1
                        employments:
                          -
                            id: 116
                            from_date: '2017-11-09'
                            to_date: null
                            notary_office_id: 485
                            contract_type: null
                            contract_form: 'Umowa o pracę'
                        photo: null
                        updated_at: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1001
                        name:
                          type: string
                          example: Katarzyna
                        second_name:
                          type: string
                          example: Anna
                        surname:
                          type: string
                          example: Kowalska
                        role:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 24780
                            from_date:
                              type: string
                              example: '2019-11-20'
                            to_date:
                              type: string
                              example: null
                            statuses:
                              type: array
                              example:
                                -
                                  status_id: 25
                                  name: Aktywny
                                  resolution_date: null
                              items:
                                type: object
                                properties:
                                  status_id:
                                    type: integer
                                    example: 25
                                  name:
                                    type: string
                                    example: Aktywny
                                  resolution_date:
                                    type: string
                                    example: null
                        emails:
                          type: array
                          example:
                            -
                              id: 1052
                              email: katarzyna.kowalska@test.pl
                              is_sending: 1
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 1052
                              email:
                                type: string
                                example: katarzyna.kowalska@test.pl
                              is_sending:
                                type: integer
                                example: 1
                        employments:
                          type: array
                          example:
                            -
                              id: 1127
                              from_date: '2024-01-01'
                              to_date: null
                              notary_office_id: 1
                              contract_type: 1/2
                              contract_form: 'Umowa o pracę'
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 1127
                              from_date:
                                type: string
                                example: '2024-01-01'
                              to_date:
                                type: string
                                example: null
                              notary_office_id:
                                type: integer
                                example: 1
                              contract_type:
                                type: string
                                example: 1/2
                              contract_form:
                                type: string
                                example: 'Umowa o pracę'
                        photo:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1201
                            photo_url:
                              type: string
                              example: '[SON_URL]/user/zdjecie/pokaz/dab2485f6e37b00a303775a93ef67cca899fced7'
                            filename:
                              type: string
                              example: istockphoto-124-612x612
                            ext:
                              type: string
                              example: jpg
                            mime_type:
                              type: string
                              example: image/jpeg
                        updated_at:
                          type: string
                          example: '2024-01-01T00:00:00.000000Z'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://api.notariusze.org.pl/deputies?page=1'
                      last:
                        type: string
                        example: 'https://api.notariusze.org.pl/deputies?page=226'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: 'https://api.notariusze.org.pl/deputies?page=2'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 226
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=1'
                            label: '1'
                            active: true
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=2'
                            label: '2'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=3'
                            label: '3'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=4'
                            label: '4'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=5'
                            label: '5'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=6'
                            label: '6'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=7'
                            label: '7'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=8'
                            label: '8'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=9'
                            label: '9'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=10'
                            label: '10'
                            active: false
                          -
                            url: null
                            label: ...
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=95'
                            label: '95'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=96'
                            label: '96'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/deputies?page=2'
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://api.notariusze.org.pl/deputies'
                      per_page:
                        type: integer
                        example: 3
                      to:
                        type: integer
                        example: 3
                      total:
                        type: integer
                        example: 287
      tags:
        - Deputy
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                per_page:
                  type: integer
                  description: ''
                  example: 10
                  nullable: true
                sort_by:
                  type: string
                  description: ''
                  example: id
                  nullable: true
                  enum:
                    - id
                    - id_desc
                    - name
                    - name_desc
                    - updated_at
                    - updated_at_desc
                is_active:
                  type: boolean
                  description: ''
                  example: false
                  nullable: true
                updated_at_greater_than:
                  type: string
                  description: 'Must be a valid date in the format <code>Y-m-d</code>.'
                  example: '2024-12-09'
                  nullable: true
  '/deputies/{deputy_id}':
    get:
      summary: 'Show deputy'
      operationId: showDeputy
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 1
                    name: Katarzyna
                    second_name: Anna
                    surname: Kowalska
                    role:
                      id: 24780
                      from_date: '2019-11-20'
                      to_date: null
                      statuses:
                        -
                          status_id: 25
                          name: Aktywny
                          resolution_date: null
                    emails:
                      -
                        id: 1052
                        email: katarzyna.kowalska@test.pl
                        is_sending: 1
                    employments:
                      -
                        id: 1127
                        from_date: '2024-01-01'
                        to_date: null
                        notary_office_id: 1
                        contract_type: 1/2
                        contract_form: 'Umowa o pracę'
                    photo:
                      id: 1201
                      photo_url: '[SON_URL]/user/zdjecie/pokaz/dab2485f6e37b00a303775a93ef67cca899fced7'
                      filename: istockphoto-124-612x612
                      ext: jpg
                      mime_type: image/jpeg
                    updated_at: '2024-01-01T00:00:00.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 1
                      name:
                        type: string
                        example: Katarzyna
                      second_name:
                        type: string
                        example: Anna
                      surname:
                        type: string
                        example: Kowalska
                      role:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 24780
                          from_date:
                            type: string
                            example: '2019-11-20'
                          to_date:
                            type: string
                            example: null
                          statuses:
                            type: array
                            example:
                              -
                                status_id: 25
                                name: Aktywny
                                resolution_date: null
                            items:
                              type: object
                              properties:
                                status_id:
                                  type: integer
                                  example: 25
                                name:
                                  type: string
                                  example: Aktywny
                                resolution_date:
                                  type: string
                                  example: null
                      emails:
                        type: array
                        example:
                          -
                            id: 1052
                            email: katarzyna.kowalska@test.pl
                            is_sending: 1
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1052
                            email:
                              type: string
                              example: katarzyna.kowalska@test.pl
                            is_sending:
                              type: integer
                              example: 1
                      employments:
                        type: array
                        example:
                          -
                            id: 1127
                            from_date: '2024-01-01'
                            to_date: null
                            notary_office_id: 1
                            contract_type: 1/2
                            contract_form: 'Umowa o pracę'
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1127
                            from_date:
                              type: string
                              example: '2024-01-01'
                            to_date:
                              type: string
                              example: null
                            notary_office_id:
                              type: integer
                              example: 1
                            contract_type:
                              type: string
                              example: 1/2
                            contract_form:
                              type: string
                              example: 'Umowa o pracę'
                      photo:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 1201
                          photo_url:
                            type: string
                            example: '[SON_URL]/user/zdjecie/pokaz/dab2485f6e37b00a303775a93ef67cca899fced7'
                          filename:
                            type: string
                            example: istockphoto-124-612x612
                          ext:
                            type: string
                            example: jpg
                          mime_type:
                            type: string
                            example: image/jpeg
                      updated_at:
                        type: string
                        example: '2024-01-01T00:00:00.000000Z'
      tags:
        - Deputy
    parameters:
      -
        in: path
        name: deputy_id
        description: 'The ID of the deputy.'
        example: 1001
        required: true
        schema:
          type: integer
  /notaries:
    get:
      summary: 'Get all notaries'
      operationId: getAllNotaries
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 501
                      name: Jan
                      second_name: null
                      surname: Nowak
                      role:
                        id: 5001
                        from_date: '1993-09-22'
                        to_date: null
                        statuses:
                          -
                            status_id: 1
                            name: Aktywny
                            resolution_date: null
                      emails:
                        -
                          id: 201
                          email: jan.nowak@test.pl
                          is_sending: 1
                      nomination_date: '2005-09-23'
                      notary_notary_offices:
                        -
                          id: 1
                          notary_office_id: 1
                          from_date: '2006-01-01'
                          to_date: '2009-12-31'
                        -
                          id: 104
                          notary_office_id: 4
                          from_date: '2010-01-01'
                          to_date: null
                      local_government_functions:
                        -
                          id: 3001
                          from_date: '2021-03-27'
                          to_date: '2024-03-30'
                          function_name: Członek
                          government_name: RIN
                        -
                          id: 3002
                          from_date: '2021-03-27'
                          to_date: '2024-03-30'
                          function_name: Przewodniczący
                          government_name: 'Zespołu Wizytacyjnego'
                        -
                          id: 3003
                          from_date: null
                          to_date: null
                          function_name: Przewodniczący
                          government_name: 'Sądu Dyscyplinarnego'
                      photo:
                        id: 1201
                        photo_url: '[SON_URL]/user/zdjecie/pokaz/741a74e44f26f1da95a5adaffe525fdb220b9417'
                        filename: istockphoto-123-612x612
                        ext: jpg
                        mime_type: image/jpeg
                      updated_at: '2024-01-01T00:00:00.000000Z'
                    -
                      id: 502
                      name: Jan
                      second_name: ''
                      surname: Nowak2
                      role:
                        id: 5002
                        from_date: '2009-07-09'
                        to_date: null
                        statuses:
                          -
                            status_id: 1
                            name: Aktywny
                            resolution_date: null
                      emails:
                        -
                          id: 202
                          email: jan.nowak2@test.pl
                          is_sending: 1
                      nomination_date: '1993-09-22'
                      notary_notary_offices:
                        -
                          id: 2
                          notary_office_id: 2
                          from_date: '1994-01-01'
                          to_date: null
                      local_government_functions:
                        -
                          id: 3004
                          from_date: '2022-02-16'
                          to_date: null
                          function_name: Wizytator
                          government_name: 'IN w Warszawie'
                      photo:
                        id: 1202
                        photo_url: '[SON_URL]/user/zdjecie/pokaz/680827210515c3ba7b842445aa7f3cecd914b0a9'
                        filename: istockphoto-456-612x612
                        ext: jpg
                        mime_type: image/jpeg
                      updated_at: '2024-01-01T00:00:00.000000Z'
                    -
                      id: 503
                      name: Jan
                      second_name: Adam
                      surname: Nowak3
                      role:
                        id: 5003
                        from_date: '2015-03-21'
                        to_date: null
                        statuses:
                          -
                            status_id: 2
                            name: Nieaktywny
                            resolution_date: null
                          -
                            status_id: 5
                            name: 'odwołany z funkcji'
                            resolution_date: null
                          -
                            status_id: 8
                            name: 'gdy notariusz rezygnuje z prowadzenia KN'
                            resolution_date: null
                      emails:
                        -
                          id: 203
                          email: jan.nowak3@test.pl
                          is_sending: 1
                      nomination_date: '2019-02-20'
                      notary_notary_offices:
                        -
                          id: 3
                          notary_office_id: 3
                          from_date: '2020-01-01'
                          to_date: null
                      local_government_functions: []
                      photo:
                        id: 1203
                        photo_url: '[SON_URL]/user/zdjecie/pokaz/59d13e19db462eb6b5fad0fcb85b70bc9fb4d782'
                        filename: istockphoto-789-612x612
                        ext: jpg
                        mime_type: image/jpeg
                      updated_at: '2024-01-01T00:00:00.000000Z'
                  links:
                    first: 'https://api.notariusze.org.pl/notaries?page=1'
                    last: 'https://api.notariusze.org.pl/notaries?page=226'
                    prev: null
                    next: 'https://api.notariusze.org.pl/notaries?page=2'
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 226
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=1'
                        label: '1'
                        active: true
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=2'
                        label: '2'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=3'
                        label: '3'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=4'
                        label: '4'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=5'
                        label: '5'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=6'
                        label: '6'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=7'
                        label: '7'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=8'
                        label: '8'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=9'
                        label: '9'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=10'
                        label: '10'
                        active: false
                      -
                        url: null
                        label: ...
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=225'
                        label: '225'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=226'
                        label: '226'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notaries?page=2'
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://api.notariusze.org.pl/notaries'
                    per_page: 3
                    to: 3
                    total: 678
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 501
                        name: Jan
                        second_name: null
                        surname: Nowak
                        role:
                          id: 5001
                          from_date: '1993-09-22'
                          to_date: null
                          statuses:
                            -
                              status_id: 1
                              name: Aktywny
                              resolution_date: null
                        emails:
                          -
                            id: 201
                            email: jan.nowak@test.pl
                            is_sending: 1
                        nomination_date: '2005-09-23'
                        notary_notary_offices:
                          -
                            id: 1
                            notary_office_id: 1
                            from_date: '2006-01-01'
                            to_date: '2009-12-31'
                          -
                            id: 104
                            notary_office_id: 4
                            from_date: '2010-01-01'
                            to_date: null
                        local_government_functions:
                          -
                            id: 3001
                            from_date: '2021-03-27'
                            to_date: '2024-03-30'
                            function_name: Członek
                            government_name: RIN
                          -
                            id: 3002
                            from_date: '2021-03-27'
                            to_date: '2024-03-30'
                            function_name: Przewodniczący
                            government_name: 'Zespołu Wizytacyjnego'
                          -
                            id: 3003
                            from_date: null
                            to_date: null
                            function_name: Przewodniczący
                            government_name: 'Sądu Dyscyplinarnego'
                        photo:
                          id: 1201
                          photo_url: '[SON_URL]/user/zdjecie/pokaz/741a74e44f26f1da95a5adaffe525fdb220b9417'
                          filename: istockphoto-123-612x612
                          ext: jpg
                          mime_type: image/jpeg
                        updated_at: '2024-01-01T00:00:00.000000Z'
                      -
                        id: 502
                        name: Jan
                        second_name: ''
                        surname: Nowak2
                        role:
                          id: 5002
                          from_date: '2009-07-09'
                          to_date: null
                          statuses:
                            -
                              status_id: 1
                              name: Aktywny
                              resolution_date: null
                        emails:
                          -
                            id: 202
                            email: jan.nowak2@test.pl
                            is_sending: 1
                        nomination_date: '1993-09-22'
                        notary_notary_offices:
                          -
                            id: 2
                            notary_office_id: 2
                            from_date: '1994-01-01'
                            to_date: null
                        local_government_functions:
                          -
                            id: 3004
                            from_date: '2022-02-16'
                            to_date: null
                            function_name: Wizytator
                            government_name: 'IN w Warszawie'
                        photo:
                          id: 1202
                          photo_url: '[SON_URL]/user/zdjecie/pokaz/680827210515c3ba7b842445aa7f3cecd914b0a9'
                          filename: istockphoto-456-612x612
                          ext: jpg
                          mime_type: image/jpeg
                        updated_at: '2024-01-01T00:00:00.000000Z'
                      -
                        id: 503
                        name: Jan
                        second_name: Adam
                        surname: Nowak3
                        role:
                          id: 5003
                          from_date: '2015-03-21'
                          to_date: null
                          statuses:
                            -
                              status_id: 2
                              name: Nieaktywny
                              resolution_date: null
                            -
                              status_id: 5
                              name: 'odwołany z funkcji'
                              resolution_date: null
                            -
                              status_id: 8
                              name: 'gdy notariusz rezygnuje z prowadzenia KN'
                              resolution_date: null
                        emails:
                          -
                            id: 203
                            email: jan.nowak3@test.pl
                            is_sending: 1
                        nomination_date: '2019-02-20'
                        notary_notary_offices:
                          -
                            id: 3
                            notary_office_id: 3
                            from_date: '2020-01-01'
                            to_date: null
                        local_government_functions: []
                        photo:
                          id: 1203
                          photo_url: '[SON_URL]/user/zdjecie/pokaz/59d13e19db462eb6b5fad0fcb85b70bc9fb4d782'
                          filename: istockphoto-789-612x612
                          ext: jpg
                          mime_type: image/jpeg
                        updated_at: '2024-01-01T00:00:00.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 501
                        name:
                          type: string
                          example: Jan
                        second_name:
                          type: string
                          example: null
                        surname:
                          type: string
                          example: Nowak
                        role:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 5001
                            from_date:
                              type: string
                              example: '1993-09-22'
                            to_date:
                              type: string
                              example: null
                            statuses:
                              type: array
                              example:
                                -
                                  status_id: 1
                                  name: Aktywny
                                  resolution_date: null
                              items:
                                type: object
                                properties:
                                  status_id:
                                    type: integer
                                    example: 1
                                  name:
                                    type: string
                                    example: Aktywny
                                  resolution_date:
                                    type: string
                                    example: null
                        emails:
                          type: array
                          example:
                            -
                              id: 201
                              email: jan.nowak@test.pl
                              is_sending: 1
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 201
                              email:
                                type: string
                                example: jan.nowak@test.pl
                              is_sending:
                                type: integer
                                example: 1
                        nomination_date:
                          type: string
                          example: '2005-09-23'
                        notary_notary_offices:
                          type: array
                          example:
                            -
                              id: 1
                              notary_office_id: 1
                              from_date: '2006-01-01'
                              to_date: '2009-12-31'
                            -
                              id: 104
                              notary_office_id: 4
                              from_date: '2010-01-01'
                              to_date: null
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 1
                              notary_office_id:
                                type: integer
                                example: 1
                              from_date:
                                type: string
                                example: '2006-01-01'
                              to_date:
                                type: string
                                example: '2009-12-31'
                        local_government_functions:
                          type: array
                          example:
                            -
                              id: 3001
                              from_date: '2021-03-27'
                              to_date: '2024-03-30'
                              function_name: Członek
                              government_name: RIN
                            -
                              id: 3002
                              from_date: '2021-03-27'
                              to_date: '2024-03-30'
                              function_name: Przewodniczący
                              government_name: 'Zespołu Wizytacyjnego'
                            -
                              id: 3003
                              from_date: null
                              to_date: null
                              function_name: Przewodniczący
                              government_name: 'Sądu Dyscyplinarnego'
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 3001
                              from_date:
                                type: string
                                example: '2021-03-27'
                              to_date:
                                type: string
                                example: '2024-03-30'
                              function_name:
                                type: string
                                example: Członek
                              government_name:
                                type: string
                                example: RIN
                        photo:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1201
                            photo_url:
                              type: string
                              example: '[SON_URL]/user/zdjecie/pokaz/741a74e44f26f1da95a5adaffe525fdb220b9417'
                            filename:
                              type: string
                              example: istockphoto-123-612x612
                            ext:
                              type: string
                              example: jpg
                            mime_type:
                              type: string
                              example: image/jpeg
                        updated_at:
                          type: string
                          example: '2024-01-01T00:00:00.000000Z'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://api.notariusze.org.pl/notaries?page=1'
                      last:
                        type: string
                        example: 'https://api.notariusze.org.pl/notaries?page=226'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: 'https://api.notariusze.org.pl/notaries?page=2'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 226
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=1'
                            label: '1'
                            active: true
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=2'
                            label: '2'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=3'
                            label: '3'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=4'
                            label: '4'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=5'
                            label: '5'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=6'
                            label: '6'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=7'
                            label: '7'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=8'
                            label: '8'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=9'
                            label: '9'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=10'
                            label: '10'
                            active: false
                          -
                            url: null
                            label: ...
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=225'
                            label: '225'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=226'
                            label: '226'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notaries?page=2'
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://api.notariusze.org.pl/notaries'
                      per_page:
                        type: integer
                        example: 3
                      to:
                        type: integer
                        example: 3
                      total:
                        type: integer
                        example: 678
      tags:
        - Notary
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                per_page:
                  type: integer
                  description: ''
                  example: 10
                  nullable: true
                sort_by:
                  type: string
                  description: ''
                  example: id
                  nullable: true
                  enum:
                    - id
                    - id_desc
                    - name
                    - name_desc
                    - updated_at
                    - updated_at_desc
                is_active:
                  type: boolean
                  description: ''
                  example: false
                  nullable: true
                updated_at_greater_than:
                  type: string
                  description: 'Must be a valid date in the format <code>Y-m-d</code>.'
                  example: '2024-12-09'
                  nullable: true
  '/notaries/{notary_id}':
    get:
      summary: 'Show notary'
      operationId: showNotary
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 1
                    name: Jan
                    second_name: null
                    surname: Nowak
                    role:
                      id: 5001
                      from_date: '1993-09-22'
                      to_date: null
                      statuses:
                        -
                          status_id: 1
                          name: Aktywny
                          resolution_date: null
                    emails:
                      -
                        id: 201
                        email: jan.nowak@test.pl
                        is_sending: 1
                    nomination_date: '2005-09-23'
                    notary_notary_offices:
                      -
                        id: 1
                        notary_office_id: 1
                        from_date: '2006-01-01'
                        to_date: '2009-12-31'
                      -
                        id: 104
                        notary_office_id: 4
                        from_date: '2010-01-01'
                        to_date: null
                    local_government_functions:
                      -
                        id: 3001
                        from_date: '2021-03-27'
                        to_date: '2024-03-30'
                        function_name: Członek
                        government_name: RIN
                      -
                        id: 3002
                        from_date: '2021-03-27'
                        to_date: '2024-03-30'
                        function_name: Przewodniczący
                        government_name: 'Zespołu Wizytacyjnego'
                      -
                        id: 3003
                        from_date: null
                        to_date: null
                        function_name: Przewodniczący
                        government_name: 'Sądu Dyscyplinarnego'
                    photo:
                      id: 1201
                      photo_url: '[SON_URL]/user/zdjecie/pokaz/741a74e44f26f1da95a5adaffe525fdb220b9417'
                      filename: istockphoto-1327592449-612x612
                      ext: jpg
                      mime_type: image/jpeg
                    updated_at: '2024-01-01T00:00:00.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 1
                      name:
                        type: string
                        example: Jan
                      second_name:
                        type: string
                        example: null
                      surname:
                        type: string
                        example: Nowak
                      role:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5001
                          from_date:
                            type: string
                            example: '1993-09-22'
                          to_date:
                            type: string
                            example: null
                          statuses:
                            type: array
                            example:
                              -
                                status_id: 1
                                name: Aktywny
                                resolution_date: null
                            items:
                              type: object
                              properties:
                                status_id:
                                  type: integer
                                  example: 1
                                name:
                                  type: string
                                  example: Aktywny
                                resolution_date:
                                  type: string
                                  example: null
                      emails:
                        type: array
                        example:
                          -
                            id: 201
                            email: jan.nowak@test.pl
                            is_sending: 1
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 201
                            email:
                              type: string
                              example: jan.nowak@test.pl
                            is_sending:
                              type: integer
                              example: 1
                      nomination_date:
                        type: string
                        example: '2005-09-23'
                      notary_notary_offices:
                        type: array
                        example:
                          -
                            id: 1
                            notary_office_id: 1
                            from_date: '2006-01-01'
                            to_date: '2009-12-31'
                          -
                            id: 104
                            notary_office_id: 4
                            from_date: '2010-01-01'
                            to_date: null
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1
                            notary_office_id:
                              type: integer
                              example: 1
                            from_date:
                              type: string
                              example: '2006-01-01'
                            to_date:
                              type: string
                              example: '2009-12-31'
                      local_government_functions:
                        type: array
                        example:
                          -
                            id: 3001
                            from_date: '2021-03-27'
                            to_date: '2024-03-30'
                            function_name: Członek
                            government_name: RIN
                          -
                            id: 3002
                            from_date: '2021-03-27'
                            to_date: '2024-03-30'
                            function_name: Przewodniczący
                            government_name: 'Zespołu Wizytacyjnego'
                          -
                            id: 3003
                            from_date: null
                            to_date: null
                            function_name: Przewodniczący
                            government_name: 'Sądu Dyscyplinarnego'
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 3001
                            from_date:
                              type: string
                              example: '2021-03-27'
                            to_date:
                              type: string
                              example: '2024-03-30'
                            function_name:
                              type: string
                              example: Członek
                            government_name:
                              type: string
                              example: RIN
                      photo:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 1201
                          photo_url:
                            type: string
                            example: '[SON_URL]/user/zdjecie/pokaz/741a74e44f26f1da95a5adaffe525fdb220b9417'
                          filename:
                            type: string
                            example: istockphoto-1327592449-612x612
                          ext:
                            type: string
                            example: jpg
                          mime_type:
                            type: string
                            example: image/jpeg
                      updated_at:
                        type: string
                        example: '2024-01-01T00:00:00.000000Z'
      tags:
        - Notary
    parameters:
      -
        in: path
        name: notary_id
        description: 'The ID of the notary.'
        example: 1
        required: true
        schema:
          type: integer
  /notary-offices:
    get:
      summary: 'Get all NotaryOffices'
      operationId: getAllNotaryOffices
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Kancelaria Jan Nowak'
                      city: Warszawa
                      district: null
                      street: 'ul. Nowa'
                      zipcode: 01-100
                      phones:
                        -
                          id: 101
                          number: '221001011'
                          type: home
                          notary_ids:
                            - 501
                      emails:
                        -
                          id: 201
                          email: jan.nowak@test.pl
                          is_sending: 1
                      notaries:
                        -
                          id: 501
                          name: Jan
                          second_name: ''
                          surname: Nowak
                          from_date: '2023-12-01'
                          to_date: null
                      deputies:
                        -
                          id: 1001
                          name: Katarzyna
                          second_name: Anna
                          surname: Kowalska
                          from_date: '2024-01-01'
                          to_date: null
                          contract_type: 1/2
                          contract_form: 'Umowa o pracę'
                      www: null
                      updated_at: '2024-01-01T00:00:00.000000Z'
                    -
                      id: 2
                      name: 'Kancelaria Jan Nowak2'
                      city: Warszawa
                      district: null
                      street: 'ul. Nowa'
                      zipcode: 01-100
                      phones:
                        -
                          id: 102
                          number: '221001012'
                          type: home
                          notary_ids: []
                      emails:
                        -
                          id: 202
                          email: jan.nowak2@test.pl
                          is_sending: 1
                      notaries:
                        -
                          id: 502
                          name: Jan
                          second_name: ''
                          surname: Nowak2
                          from_date: '2024-01-01'
                          to_date: null
                      deputies: []
                      www: null
                      updated_at: '2024-01-01T00:00:00.000000Z'
                    -
                      id: 3
                      name: 'Kancelaria Jan Adam Nowak3'
                      city: Warszawa
                      district: null
                      street: 'ul. Nowa'
                      zipcode: 01-100
                      phones:
                        -
                          id: 103
                          number: '221001013'
                          type: home
                          notary_ids: []
                      emails:
                        -
                          id: 203
                          email: jan.nowak3@test.pl
                          is_sending: 1
                      notaries:
                        -
                          id: 503
                          name: Jan
                          second_name: Adam
                          surname: Nowak3
                          from_date: '2024-01-01'
                          to_date: null
                      deputies: []
                      www: null
                      updated_at: '2024-01-01T00:00:00.000000Z'
                  links:
                    first: 'https://api.notariusze.org.pl/notary-offices?page=1'
                    last: 'https://api.notariusze.org.pl/notary-offices?page=154'
                    prev: null
                    next: 'https://api.notariusze.org.pl/notary-offices?page=2'
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 154
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=1'
                        label: '1'
                        active: true
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=2'
                        label: '2'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=3'
                        label: '3'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=4'
                        label: '4'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=5'
                        label: '5'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=6'
                        label: '6'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=7'
                        label: '7'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=8'
                        label: '8'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=9'
                        label: '9'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=10'
                        label: '10'
                        active: false
                      -
                        url: null
                        label: ...
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=153'
                        label: '153'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=154'
                        label: '154'
                        active: false
                      -
                        url: 'https://api.notariusze.org.pl/notary-offices?page=2'
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://api.notariusze.org.pl/notary-offices'
                    per_page: 3
                    to: 3
                    total: 461
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Kancelaria Jan Nowak'
                        city: Warszawa
                        district: null
                        street: 'ul. Nowa'
                        zipcode: 01-100
                        phones:
                          -
                            id: 101
                            number: '221001011'
                            type: home
                            notary_ids:
                              - 501
                        emails:
                          -
                            id: 201
                            email: jan.nowak@test.pl
                            is_sending: 1
                        notaries:
                          -
                            id: 501
                            name: Jan
                            second_name: ''
                            surname: Nowak
                            from_date: '2023-12-01'
                            to_date: null
                        deputies:
                          -
                            id: 1001
                            name: Katarzyna
                            second_name: Anna
                            surname: Kowalska
                            from_date: '2024-01-01'
                            to_date: null
                            contract_type: 1/2
                            contract_form: 'Umowa o pracę'
                        www: null
                        updated_at: '2024-01-01T00:00:00.000000Z'
                      -
                        id: 2
                        name: 'Kancelaria Jan Nowak2'
                        city: Warszawa
                        district: null
                        street: 'ul. Nowa'
                        zipcode: 01-100
                        phones:
                          -
                            id: 102
                            number: '221001012'
                            type: home
                            notary_ids: []
                        emails:
                          -
                            id: 202
                            email: jan.nowak2@test.pl
                            is_sending: 1
                        notaries:
                          -
                            id: 502
                            name: Jan
                            second_name: ''
                            surname: Nowak2
                            from_date: '2024-01-01'
                            to_date: null
                        deputies: []
                        www: null
                        updated_at: '2024-01-01T00:00:00.000000Z'
                      -
                        id: 3
                        name: 'Kancelaria Jan Adam Nowak3'
                        city: Warszawa
                        district: null
                        street: 'ul. Nowa'
                        zipcode: 01-100
                        phones:
                          -
                            id: 103
                            number: '221001013'
                            type: home
                            notary_ids: []
                        emails:
                          -
                            id: 203
                            email: jan.nowak3@test.pl
                            is_sending: 1
                        notaries:
                          -
                            id: 503
                            name: Jan
                            second_name: Adam
                            surname: Nowak3
                            from_date: '2024-01-01'
                            to_date: null
                        deputies: []
                        www: null
                        updated_at: '2024-01-01T00:00:00.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Kancelaria Jan Nowak'
                        city:
                          type: string
                          example: Warszawa
                        district:
                          type: string
                          example: null
                        street:
                          type: string
                          example: 'ul. Nowa'
                        zipcode:
                          type: string
                          example: 01-100
                        phones:
                          type: array
                          example:
                            -
                              id: 101
                              number: '221001011'
                              type: home
                              notary_ids:
                                - 501
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 101
                              number:
                                type: string
                                example: '221001011'
                              type:
                                type: string
                                example: home
                              notary_ids:
                                type: array
                                example:
                                  - 501
                                items:
                                  type: integer
                        emails:
                          type: array
                          example:
                            -
                              id: 201
                              email: jan.nowak@test.pl
                              is_sending: 1
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 201
                              email:
                                type: string
                                example: jan.nowak@test.pl
                              is_sending:
                                type: integer
                                example: 1
                        notaries:
                          type: array
                          example:
                            -
                              id: 501
                              name: Jan
                              second_name: ''
                              surname: Nowak
                              from_date: '2023-12-01'
                              to_date: null
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 501
                              name:
                                type: string
                                example: Jan
                              second_name:
                                type: string
                                example: ''
                              surname:
                                type: string
                                example: Nowak
                              from_date:
                                type: string
                                example: '2023-12-01'
                              to_date:
                                type: string
                                example: null
                        deputies:
                          type: array
                          example:
                            -
                              id: 1001
                              name: Katarzyna
                              second_name: Anna
                              surname: Kowalska
                              from_date: '2024-01-01'
                              to_date: null
                              contract_type: 1/2
                              contract_form: 'Umowa o pracę'
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 1001
                              name:
                                type: string
                                example: Katarzyna
                              second_name:
                                type: string
                                example: Anna
                              surname:
                                type: string
                                example: Kowalska
                              from_date:
                                type: string
                                example: '2024-01-01'
                              to_date:
                                type: string
                                example: null
                              contract_type:
                                type: string
                                example: 1/2
                              contract_form:
                                type: string
                                example: 'Umowa o pracę'
                        www:
                          type: string
                          example: null
                        updated_at:
                          type: string
                          example: '2024-01-01T00:00:00.000000Z'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://api.notariusze.org.pl/notary-offices?page=1'
                      last:
                        type: string
                        example: 'https://api.notariusze.org.pl/notary-offices?page=154'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: 'https://api.notariusze.org.pl/notary-offices?page=2'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 154
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=1'
                            label: '1'
                            active: true
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=2'
                            label: '2'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=3'
                            label: '3'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=4'
                            label: '4'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=5'
                            label: '5'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=6'
                            label: '6'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=7'
                            label: '7'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=8'
                            label: '8'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=9'
                            label: '9'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=10'
                            label: '10'
                            active: false
                          -
                            url: null
                            label: ...
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=153'
                            label: '153'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=154'
                            label: '154'
                            active: false
                          -
                            url: 'https://api.notariusze.org.pl/notary-offices?page=2'
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://api.notariusze.org.pl/notary-offices'
                      per_page:
                        type: integer
                        example: 3
                      to:
                        type: integer
                        example: 3
                      total:
                        type: integer
                        example: 461
      tags:
        - NotaryOffice
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                per_page:
                  type: integer
                  description: ''
                  example: 15
                  nullable: true
                sort_by:
                  type: string
                  description: ''
                  example: id
                  nullable: true
                  enum:
                    - id
                    - id_desc
                    - name
                    - name_desc
                    - updated_at
                    - updated_at_desc
                is_active:
                  type: boolean
                  description: ''
                  example: false
                  nullable: true
                updated_at_greater_than:
                  type: string
                  description: 'Must be a valid date in the format <code>Y-m-d</code>.'
                  example: '2024-12-09'
                  nullable: true
  '/notary-offices/{notaryOffice_id}':
    get:
      summary: 'Show notary office'
      operationId: showNotaryOffice
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 1
                    name: 'Kancelaria Jan Nowak'
                    city: Warszawa
                    district: null
                    street: 'ul. Nowa'
                    zipcode: 01-100
                    phones:
                      -
                        id: 101
                        number: '221001011'
                        type: home
                        notary_ids:
                          - 501
                    emails:
                      -
                        id: 201
                        email: jan.nowak@test.pl
                        is_sending: 1
                    notaries:
                      -
                        id: 501
                        name: Jan
                        second_name: ''
                        surname: Nowak
                        from_date: '2023-12-01'
                        to_date: null
                    deputies:
                      -
                        id: 1001
                        name: Katarzyna
                        second_name: Anna
                        surname: Kowalska
                        from_date: '2024-01-01'
                        to_date: null
                        contract_type: 1/2
                        contract_form: 'Umowa o pracę'
                    www: null
                    updated_at: '2024-01-01T00:00:00.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 1
                      name:
                        type: string
                        example: 'Kancelaria Jan Nowak'
                      city:
                        type: string
                        example: Warszawa
                      district:
                        type: string
                        example: null
                      street:
                        type: string
                        example: 'ul. Nowa'
                      zipcode:
                        type: string
                        example: 01-100
                      phones:
                        type: array
                        example:
                          -
                            id: 101
                            number: '221001011'
                            type: home
                            notary_ids:
                              - 501
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 101
                            number:
                              type: string
                              example: '221001011'
                            type:
                              type: string
                              example: home
                            notary_ids:
                              type: array
                              example:
                                - 501
                              items:
                                type: integer
                      emails:
                        type: array
                        example:
                          -
                            id: 201
                            email: jan.nowak@test.pl
                            is_sending: 1
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 201
                            email:
                              type: string
                              example: jan.nowak@test.pl
                            is_sending:
                              type: integer
                              example: 1
                      notaries:
                        type: array
                        example:
                          -
                            id: 501
                            name: Jan
                            second_name: ''
                            surname: Nowak
                            from_date: '2023-12-01'
                            to_date: null
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 501
                            name:
                              type: string
                              example: Jan
                            second_name:
                              type: string
                              example: ''
                            surname:
                              type: string
                              example: Nowak
                            from_date:
                              type: string
                              example: '2023-12-01'
                            to_date:
                              type: string
                              example: null
                      deputies:
                        type: array
                        example:
                          -
                            id: 1001
                            name: Katarzyna
                            second_name: Anna
                            surname: Kowalska
                            from_date: '2024-01-01'
                            to_date: null
                            contract_type: 1/2
                            contract_form: 'Umowa o pracę'
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1001
                            name:
                              type: string
                              example: Katarzyna
                            second_name:
                              type: string
                              example: Anna
                            surname:
                              type: string
                              example: Kowalska
                            from_date:
                              type: string
                              example: '2024-01-01'
                            to_date:
                              type: string
                              example: null
                            contract_type:
                              type: string
                              example: 1/2
                            contract_form:
                              type: string
                              example: 'Umowa o pracę'
                      www:
                        type: string
                        example: null
                      updated_at:
                        type: string
                        example: '2024-01-01T00:00:00.000000Z'
      tags:
        - NotaryOffice
    parameters:
      -
        in: path
        name: notaryOffice_id
        description: 'The ID of the notaryOffice.'
        example: 1
        required: true
        schema:
          type: integer
tags:
  -
    name: 'Auth Endpoints'
    description: ''
  -
    name: Deputy
    description: ''
  -
    name: Notary
    description: ''
  -
    name: NotaryOffice
    description: ''
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: ''
security:
  -
    default: []
